;!include "MUI2.nsh"
!include "nsDialogs.nsh"
!include "LogicLib.nsh"



Outfile "SinfarInstaller-v30.exe" ; Name of the output file
RequestExecutionLevel admin ; We need admin right just to be sure everything work smoothly, use can refuse anyway.
Icon "installerico.ico" ; Sinfar icon!!!

InstallDir "$PROGRAMFILES\DummyInstall"

Var INSTPATH


!include "Pages\page_select_path.nsi"
!include "Pages\page_download_files.nsi"

Page custom Page_SelectNWNPath Page_SelectNWNPath_Validation ; Custom page first
Page custom Page_DownloadContent "" ; Download page
Page InstFiles                     ; Then show Install progress



Section "Install Dummy Files" SEC01

  ; Create the install directory
  SetOutPath "$INSTDIR"

  ; Write a simple Hello World text file
  FileOpen $0 "$INSTDIR\hello.txt" w
  FileWrite $0 "Hello World!"
  FileClose $0

SectionEnd